/*
@(#)HelloWorld.java

Copyright (C) 2002-2009 Kyle Siegrist,
Department of Mathematical Sciences
University of Alabama in Huntsville

This program is part of Virtual Laboratories in Probability and Statistics,
http://www.math.uah.edu/stat/, a project partially supported by the
National Science Foundation under grant number DUE-0089377.

This program is licensed under a Creative Commons License. Basically, you are free to copy,
distribute, and modify this program, and to make commercial use of the program.
However you must give proper attribution.
See http://creativecommons.org/licenses/by/2.0/ for more information.
*/

package edu.uah.math.experiments;
import edu.uah.math.devices.Coin;

public class HelloWorld extends Experiment{

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	private Coin coin = new Coin();

	public void init(){
		super.init();
		coin.setHeadLabel("Hello");
		coin.setTailLabel("World");
		addComponent(coin, 0, 0, 1, 1);
	}

	public void doExperiment(){
		super.doExperiment();
		coin.toss();
	}

	public void update(){
		super.update();
		coin.setTossed(true);
	}

	public void reset(){
		super.reset();
		coin.setTossed(false);
	}
}
